﻿using Syncfusion.Windows.Reports;
using Syncfusion.Windows.Reports.Viewer;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WpfApplication4
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            this.Loaded += MainWindow_Loaded;
        }

        private void MainWindow_Loaded(object sender, RoutedEventArgs e)
        {
            this.reportviewer.ProcessingMode = ProcessingMode.Local;
            this.reportviewer.ReportPath = @"../../ReportTemplate/Report1.rdlc";
            this.reportviewer.DataSources.Add(new ReportDataSource("DataSet1", new OrderRepositiory().GetOrders()));
            this.reportviewer.RefreshReport();
        }
    }

    public class OrderRepositiory
    {
        public List<Order> GetOrders()
        {
            List<Order> oOrders = new List<Order>();

            Order oOrder = new Order();
            oOrder.OrderID = 1;
            oOrder.OrderDate = DateTime.Today;
            Supplier oSupplier = new Supplier();
            oSupplier.SupplierAccountRef = "ABC";
            oSupplier.SupplierName = "ABC Supplier";
            oOrder.Supplier = oSupplier;
            oOrders.Add(oOrder);

            oOrder = new Order();
            oOrder.OrderID = 2;
            oOrder.OrderDate = DateTime.Today;
            oSupplier = new Supplier();
            oSupplier.SupplierAccountRef = "BBB";
            oSupplier.SupplierName = "BBB Supplier";
            oOrder.Supplier = oSupplier;
            oOrders.Add(oOrder);

            oOrder = new Order();
            oOrder.OrderID = 1;
            oOrder.OrderDate = DateTime.Today;
            oSupplier = new Supplier();
            oSupplier.SupplierAccountRef = "CCC";
            oSupplier.SupplierName = "CCC Supplier";
            oOrder.Supplier = oSupplier;
            oOrders.Add(oOrder);

            return oOrders;
        }
    }

    [Serializable]
    public class Order
    {
        public int OrderID { get; set; }
        public DateTime OrderDate { get; set; }
        public Supplier Supplier { get; set; }

        public Order()
        {

        }
    }

    [Serializable]
    public class Supplier
    {
        public string SupplierName { get; set; }
        public string SupplierAccountRef { get; set; }

        public Supplier()
        {

        }
    }
}
